#!/usr/bin/env bash
######################################################
# Author : Simona Flavoni for NEMO
# Contact : sflod@locean-ipsl.upmc.fr
#
# Some functions called from makenemo
# Fclean_config   : config removing 
######################################################
#set -x
set -o posix
#set -u
#set -e
#+
#
# ================
# Fclean_config.sh
# ================
#
# ------------------------
# Remove the configuration
# ------------------------
#
# SYNOPSIS
# ========
#
# ::
#
#  $ Fclean_config.sh CONFNAME
#
#
# DESCRIPTION
# ===========
#
#
# Remove the configuration:
#
# - remove CONFIG_NAME/WORK
# - remove CONFIG_NAME/BLD
# - remove CONFIG_NAME from TOOLS/TOOLS/COMPILE/cfg.txt 
# 
# EXAMPLES
# ========
#
# ::
#
#  $ ./Fclean_config.sh ORCA2_LIM
#
#
# TODO
# ====
#
# option debug
#
#
# EVOLUTIONS
# ==========
#
# $Id: Fclean_config.sh 2158 2010-10-20 17:30:03Z sflod $
#
#
#
#   * creation
#
#-
 NEW_CONF=${x_n}
 echo "Are you sure that you want to remove this directory ? [y/n] "
 read answer
 answer=`echo $answer | sed 's/^[y].*$/y/'`
 if [  -z "$answer" -o "x$answer" = "xy" ]; then
 	# testing if configuration exists
 	if [ "$(cat ${COMPIL_DIR}/cfg.txt | grep "${NEW_CONF} ")"  == "" ] ; then
		echo "The configuration ${NEW_CONF} does not exist in file cfg.txt"     
		echo "No removing configuration"
		echo " "
        else
		rm -rf ${CONFIG_DIR}/${NEW_CONF}
		sed -e "/${NEW_CONF} /d"  ${COMPIL_DIR}/cfg.txt >  ${COMPIL_DIR}/cfg.tmp
		mv  ${COMPIL_DIR}/cfg.tmp  ${COMPIL_DIR}/cfg.txt
		echo "${NEW_CONF} configuration REMOVED" 
        fi
 else
	echo " "
	echo "nothing to remove"
 fi

 unset -v answer
